Subject: Re: [1/1] connector: Kernel connector - userspace <-> kernelspace "linker".

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 24 Sep 2004 07:40:32 +0400

On Fri, 2004-09-24 at 01:54, Luis R. Rodriguez wrote:
> RFC: 
> 
> Can and should we work towards using this as interface for drivers that
> need callbacks from an external (closed source) library/HAL?

As I mentioned to Richard Jonson, it can be considered as
ioctl. ioctl-ng!
Unified interface (as ioctl) can be used for any type of modules.
It is just a bit extended ioctl :)

And _yes_, it can be used to turn on/off binary-only callbacks.
Remember pwc - closed part can register callback and open part can
send message, or even closed part can register notification when
open part registers itself and begin to "trash the kernel".

I understand that it is not right way to include it is into the kernel,
but I personally do not understand how it is different 
from just extended ioctl. It was designed to be usefull and convenient,
and it is.

BTW, any binary-only module can _itself_ create netlink socket
with input callback. And that is all - it will be absolutely
the same as above.

One may consider connector as yet-another-netlink-helper.

-- 
	Evgeniy Polyakov

Crash is better than data corruption. -- Art Grabowski